EXECUTE (CREATE TABLE &SCHEMA.SECURITIZATION_POOL (
     SECURITIZATION_POOL_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     SECURITIZATION_POOL_ID VARCHAR(32),
     SECURITIZ_STRUC_TYPE_CD VARCHAR(3),
     SECURITIZ_STRUC_SUBTYPE_CD VARCHAR(3),
     SECURITIZ_PRIM_BANK_ROLE_CD VARCHAR(3),
     SECURITIZ_PRIM_TYPE_CD VARCHAR(3),
     CLEAN_UP_CALL_TYPE_CD VARCHAR(3),
     CLEAN_UP_CALL_HOLDER_FLG CHARACTER(1),
     CLEAN_UP_CALL_LEVEL_AMT NUMERIC(18,5),
     GAIN_ON_SALE_AMT     NUMERIC(18,5),
     EARLY_AMORTIZATION_TYPE_CD VARCHAR(3),
     LONGEST_MATURITY_DT  DATE,
     IMPLICIT_SUPPORT_FLG CHARACTER(1),
     AVG_3_MONTH_EXCESS_SPREAD_AMT NUMERIC(18,5),
     EXCESS_SPREAD_TRAP_POINT_AMT NUMERIC(18,5),
     POOL_FACE_VALUE_AMT  NUMERIC(18,5),
     EFFECTIVE_NO_OF_EXPOSURES NUMERIC(10),
     TOTAL_TRANCHE_NO     NUMERIC(10),
     UNCOMM_RETAIL_REVOLV_FACE_AMT NUMERIC(18,5),
     COMM_RETAIL_REVOLV_FACE_AMT NUMERIC(18,5),
     UNCOMM_OTHER_REVOLV_FACE_AMT NUMERIC(18,5),
     COMM_OTHER_REVOLV_FACE_AMT NUMERIC(18,5),
     WEIGHT_AVG_MATURITY_MONTHS_NO NUMERIC(9,4),
     EFFECTIVE_FROM_DTTM  TIMESTAMP,
     EFFECTIVE_TO_DTTM    TIMESTAMP,
     K_IRB_RT             NUMERIC(9,4),
     WEIGHTED_AVG_LGD_PCT NUMERIC(9,4),
     WEIGHTED_AVG_COUPON_RT NUMERIC(9,4),
     MAX_RISK_WEIGHT_PCT  NUMERIC(9,4),
     MIN_RISK_WEIGHT_PCT  NUMERIC(9,4),
     AVG_RISK_WEIGHT_PCT  NUMERIC(9,4),
     CRDT_ENHNC_INT_ONLY_STRIP_AMT NUMERIC(18,5),
     INVESTORS_INTEREST_PCT NUMERIC(9,4),
     UNDERLYING_EXPOSURE_CNT NUMERIC(6),
     UNDERLYING_PRODUCT_TYPE_CD VARCHAR(3),
     RESECURITIZATION_FLG CHARACTER(1),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL,
     PRIMARY KEY (SECURITIZATION_POOL_RK, VALID_FROM_DTTM)
)) BY DB2;

