EXECUTE (CREATE TABLE FINANCIAL_FUND (
     FINANCIAL_FUND_RK    NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     VALID_TO_DTTM        DATE NOT NULL,
     FINANCIAL_FUND_ID    VARCHAR2(32),
     FINANCIAL_FUND_NM    VARCHAR2(40),
     FUND_DESC            VARCHAR2(100),
     FINANCIAL_FUND_TYPE_CD VARCHAR2(3),
     RING_FENCED_FLG      VARCHAR2(1),
     PROFIT_PARTICIPATION_PCT NUMBER(9,4),
     EFFECTIVE_FROM_DTTM  DATE NOT NULL,
     EFFECTIVE_TO_DTTM    DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_FUND_RK, VALID_FROM_DTTM)
)) BY ORACLE;

