CREATE TABLE &LIBREF..BUSINESS_ENTITY (
     BUSINESS_ENTITY_ID   VARCHAR(32) label='Business Entity Identifier',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Datetime',
     BUSINESS_ENTITY_DESC VARCHAR(100) label='Business Entity Description',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Datetime',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Datetime',
     INTERNAL_ORG_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Internal Organization Key',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Datetime',
     CONSTRAINT PRIM_KEY PRIMARY KEY (BUSINESS_ENTITY_ID, VALID_FROM_DTTM)
);

