CREATE TABLE &LIBREF..MARKET_DATA (
     RISK_FACTOR_ID       VARCHAR(32) label='Risk Factor Identifier',
     DATA_DTTM            DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Data Date time',
     MARKET_VALUE         NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Market Value',
     MARKET_VALUE_TYPE_CD VARCHAR(3) label='Market Value Type Code',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (RISK_FACTOR_ID, DATA_DTTM)
);

