CREATE TABLE &LIBREF..XL_LAYER_X_RI_CARRIER (
     RI_CARRIER_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Reinsurance Carrier Retained Surrogate Key',
     XL_LAYER_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='XL Layer Retained Surrogate Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Datetime',
     COMMUTATION_DT       DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Commutation Date',
     SHARE_PCT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Share Percent',
     ANNOTATION_TXT       VARCHAR(200) label='Annotation Text',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (RI_CARRIER_RK, XL_LAYER_RK, VALID_FROM_DTTM)
);

