EXECUTE (CREATE TABLE CEDED_LOSS (
     CEDED_LOSS_RK        NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     CEDED_LOSS_REFERENCE_ID VARCHAR(32)     NOT NULL,
     CEDED_CASE_RESERVE_AMT NUMERIC(18,5),
     CEDED_LAE_CASE_RESERVE_AMT NUMERIC(18,5),
     CEDED_PAID_LOSS_AMT  NUMERIC(18,5),
     CEDED_RECOVERY_AMT   NUMERIC(18,5),
     CEDED_PAID_LAE_AMT   NUMERIC(18,5),
     CEDED_LOSS_STATUS_CD VARCHAR(3),
     CEDED_LOSS_STATUS_REASON_CD VARCHAR(3),
     CEDED_LOSS_STATUS_CHANGE_DT DATE,
     CEDED_LOSS_AMT_CHANGE_DTTM TIMESTAMP,
     ACCIDENT_YR          NUMERIC(4),
     CLAIM_UNIT_RK        NUMERIC(10)     NOT NULL,
     RI_EXP_RK            NUMERIC(10)     NOT NULL,
     XL_LAYER_RK          NUMERIC(10),
     INCIDENT_RK          NUMERIC(10)     NOT NULL,
     CATASTROPHE_RK       NUMERIC(10),
     LOB_RK               NUMERIC(10)     NOT NULL,
     RI_CONTRACT_SECTION_RK NUMERIC(10),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX XXREINSURANCE_CARRIER (CEDED_LOSS_RK)
) BY TERADATA;

