EXECUTE (CREATE TABLE COUNTERPARTY (
     COUNTERPARTY_RK      NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     COUNTERPARTY_ID      VARCHAR(32),
     SOURCE_SYSTEM_CD     VARCHAR(3),
     COUNTERPARTY_ROLE_CD VARCHAR(3),
     COUNTERPARTY_GROUP_ID VARCHAR(32),
     COUNTERPARTY_GROUP_PARENT_FLG CHARACTER(1),
     COUNTERPARTY_TYPE_CD VARCHAR(3),
     REGLTRY_COUNTERPARTY_TYPE_CD VARCHAR(3)     NOT NULL,
     ECONOMIC_SECTOR_CD   VARCHAR(3),
     HIGH_RISK_CATEGORY_FLG CHARACTER(1),
     COUNTERPARTY_LEGAL_TYPE_CD VARCHAR(3),
     CORE_MKT_PARTICIPANT_FLG CHARACTER(1),
     RISK_WEIGHT_PCT      NUMERIC(9,4),
     COUNTERPARTY_RLN_TYPE_CD VARCHAR(3),
     EFFECTIVE_FROM_DTTM  TIMESTAMP,
     EFFECTIVE_TO_DTTM    TIMESTAMP,
     DOMESTIC_CURRENCY_CD VARCHAR(3),
     ELIG_CCR_CENTRAL_CPTY_FLG CHARACTER(1),
     SOLVENCY_RATIO_PCT   NUMERIC(9,4),
     CPTY_INTERNAL_RPT_CATEGORY_CD VARCHAR(3),
     MIN_CAPITAL_REQ_FLG  CHARACTER(1),
     SINGLE_NAME_EXPOSURE_FLG CHARACTER(1),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX COUNTERPARTY_PI (COUNTERPARTY_RK)
) BY TERADATA;

