EXECUTE (CREATE TABLE FINANCIAL_FUND (
     FINANCIAL_FUND_RK    NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     FINANCIAL_FUND_ID    VARCHAR(32),
     FINANCIAL_FUND_NM    VARCHAR(40),
     FUND_DESC            VARCHAR(100),
     FINANCIAL_FUND_TYPE_CD VARCHAR(3),
     RING_FENCED_FLG      CHARACTER(1),
     PROFIT_PARTICIPATION_PCT NUMERIC(9,4),
     EFFECTIVE_FROM_DTTM  TIMESTAMP     NOT NULL,
     EFFECTIVE_TO_DTTM    TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX FINANCIAL_FUND_PI (FINANCIAL_FUND_RK)
) BY TERADATA;

