EXECUTE (CREATE TABLE &SCHEMA.BOND_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     BOND_INSTRUMENT_TYPE_CD VARCHAR(10),
     REDEMPTION_PRICE_AMT NUMERIC(18,5),
     REDEMPTION_CURRENCY_CD VARCHAR(3),
     SPECIALIZED_LENDING_CD VARCHAR(3),
     CALL_PROTECTION_DT   DATE,
     CONVERTIBLE_FLG      CHARACTER(1),
     PRINCIPAL_EXCHANGE_FLG CHARACTER(1),
     PROCESSED_DTTM       TIMESTAMP     NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY DB2;

