EXECUTE (CREATE TABLE COUNTERPARTY (
     COUNTERPARTY_RK      NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     COUNTERPARTY_ID      VARCHAR2(32),
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     COUNTERPARTY_ROLE_CD VARCHAR2(3),
     COUNTERPARTY_GROUP_ID VARCHAR2(32),
     COUNTERPARTY_GROUP_PARENT_FLG VARCHAR2(1),
     COUNTERPARTY_TYPE_CD VARCHAR2(3),
     REGLTRY_COUNTERPARTY_TYPE_CD VARCHAR2(3) NOT NULL,
     ECONOMIC_SECTOR_CD   VARCHAR2(3),
     HIGH_RISK_CATEGORY_FLG VARCHAR2(1),
     COUNTERPARTY_LEGAL_TYPE_CD VARCHAR2(3),
     CORE_MKT_PARTICIPANT_FLG VARCHAR2(1),
     RISK_WEIGHT_PCT      NUMBER(9,4),
     COUNTERPARTY_RLN_TYPE_CD VARCHAR2(3),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     DOMESTIC_CURRENCY_CD VARCHAR2(3),
     ELIG_CCR_CENTRAL_CPTY_FLG VARCHAR2(1),
     SOLVENCY_RATIO_PCT   NUMBER(9,4),
     CPTY_INTERNAL_RPT_CATEGORY_CD VARCHAR2(3),
     MIN_CAPITAL_REQ_FLG  VARCHAR2(1),
     SINGLE_NAME_EXPOSURE_FLG VARCHAR2(1),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (COUNTERPARTY_RK, VALID_FROM_DTTM)
)) BY ORACLE;

